Documents

Get Documents

get
/documents

Get documents. By default, it returns last 20 documents. It is possible to send query parameters to adjust the result

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Query parameters
startDatestring · date-timeOptional

Beginning of the range. Document create date time is after this parameter.

endDatestring · date-timeOptional

End of the range. Document create date time is before this parameter.

searchTextstringOptional

search string to filter through document names

entityTypestring · enumRequiredPossible values:
entityIdstring · uuidRequired
docTypestring · enumOptional

document type filter

Possible values:
cursorstringOptional

String value used for pagination

limitinteger · min: 1Required

Maximum number of items to return

Default: 20
Responses
chevron-right
200

OK

application/json
get
/documents

Upload Document

post
/documents

Natural Person

  • GENERAL

  • COMMUNICATION

  • MARKETING

  • TRAINING

  • KYC: Any type of document that justifies a change in the data of a natural person, e.g:

    • Marriage certificate

    • Divorce certificate

    • Proof of obtaining a title

    • Proof of a change of name or gender

  • OTHER

  • PROOF_OF_RESIDENCE: Document to prove the current place of residence/registration address if this is not visible on the identification document and which must not be older than 3 months. The following documents are accepted for this:

    • Registration certificate from the residents' registration office

    • Tax notice

    • Utility bill/telephone company bill

    • Copy of ID card

  • BIRTH_CERTIFICATE: Birth certificate is required for identification of underaged natural persons (if age < 18). The document must match the data transmitted in the Natural Person Identification.

  • IDENTIFICATION_CERTIFICATE: Document proving that the identification of an adult natural person has been successfully completed (e.g. by video identification, PostIdent or in person). The document must match the data transmitted in the Natural Person Identification.

Customer (all customer types)

  • GENERAL

  • CONTRACTS

  • ONBOARDING

  • COMMUNICATION

  • MARKETING

  • TRAINING

  • OTHER

Natural Person Customer

  • KYC

Legal Entity Customer

  • KYC: Any type of document that can be assigned to a legal entity and cannot be assigned to the document types below, e.g:

    • Authorisation of a person who is not entered in the register

    • Company reports

  • CURRENT_REGISTRY_EXTRACT: Current extract from the commercial register, which must not be older than 3 months. Required for legalForm = LIMITED_LIABILITY_COMPANY, PUBLIC_LIMITED_COMPANY, REGISTERED_BUSINESSMAN, LIMITED_PARTNERSHIP, GENERAL_PARTNERSHIP, LIMITED_LIABILITY_COMPANY_AND_LIMITED_PARTNERSHIP

  • CHRONOLOGICAL_REGISTRY_EXTRACT

  • SHAREHOLDER_LIST: Current list of the company's shareholders, which must not be older than 3 months. Required for legalForm = LIMITED_LIABILITY_COMPANY, GENERAL_PARTNERSHIP, LIMITED_LIABILITY_COMPANY_AND_LIMITED_PARTNERSHIP

  • PARTNERSHIP_AGREEMENT: Partnership agreement of the civil law partnership. Required for legalForm = PARTNERSHIP. This document has to be provided by the partner and can’t be retrieved by the KYB provider.

  • TRANSPARENCY_REGISTER_EXTRACT: Current excerpt from the transparency register as proof of the beneficial owner, which must not be older than 3 months. Required for legalForm = PUBLIC_LIMITED_COMPANY, GENERAL_PARTNERSHIP, LIMITED_PARTNERSHIP, LIMITED_LIABILITY_COMPANY_AND_LIMITED_PARTNERSHIP. This document has to be provided by the partner and can’t be retrieved by the KYB provider.

  • BUSINESS_REGISTRATION: The business registration to prove the registration of the company or foundation. Required for legalForm = FOUNDATION, OTHER. This document has to be provided by the partner and can’t be retrieved by the KYB provider.

  • STATUTE: Statutes of the association or foundation. Required for legalForm = FOUNDATION, ASSOCIATION. This document has to be provided by the partner and can’t be retrieved by the KYB provider.

  • W_8BEN_E: Legal entities to certify their US tax status, enabling correct reporting and application of appropriate withholding tax rates

Proxy (all proxy types)

  • GENERAL

  • CONTRACTS

  • ONBOARDING

  • KYC

  • COMMUNICATION

  • MARKETING

  • TRAINING

  • OTHER

Proxy (Guardian)

  • PROOF_OF_SINGLE_CUSTODY: Document that proves the sole custody of a parent.

  • PROOF_OF_CUSTODY: Document, which is required if there is a name mismatch between the minor and one of the parents, please attach one of the following documents:

    • a photocopy of the marriage certificate or

    • a photocopy of the corresponding family register pages, or

    • a photocopy of the family custody agreement

Proxy (Liquidator)

  • INSOLVENCY_ORDER: Document "Opening decision" in insolvency proceedings, which names the respective insolvency administrator/liquidator.

Proxy (General Power of Attorney, valid in case of death)

  • INHERITANCE_LEGITIMATION: Document that proves that the person is entitled to inherit in the event of the customer's death.

Partner User

  • IDENTIFICATION_CERTIFICATE: Document proving that the identification of an user has been successfully completed (e.g. by video identification, PostIdent or in person).

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Body
filestring · binaryRequired

File data

Responses
chevron-right
200

OK

application/json
post
/documents

Get Document

get
/documents/{documentId}

Get document

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
documentIdstring · uuidRequired

Unique document identification number in UUID format

Responses
chevron-right
200

OK

application/json
get
/documents/{documentId}

Get Document File

get
/documents/{documentId}/file

Get document file

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
documentIdstring · uuidRequired

Unique document identification number in UUID format

Responses
chevron-right
200

OK

application/octet-stream
Responsestring · binary
get
/documents/{documentId}/file

Sign Document

post
/documents/sign

Create new natural person document signature

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Body
partnerDocumentIdstring · uuidRequired

Id of the partner document which was signed

naturalPersonIdstring · uuidRequired

Id of the natural person for which the document is signed

customerIdstring · uuidOptional

Id of the customer in whose context the natural person is active. Required only for TERMS_AND_CONDITIONS document type.

Responses
post
/documents/sign

No content

Last updated